Loading...
Searching...
No Matches
seqan3::std_variant_printer< std::variant< variant_ts... > > Struct Template Reference
Core » Debug Stream

A std::variant can be printed by visiting the stream operator for the corresponding type. More...

`#include <seqan3/core/debug_stream/variant.hpp>`

Inheritance diagram for seqan3::std_variant_printer< std::variant< variant_ts... > >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Prints the variant by visiting the stream operator for the corresponding type.

## Detailed Description

template<typename... variant_ts>
struct seqan3::std_variant_printer< std::variant< variant_ts... > >

A std::variant can be printed by visiting the stream operator for the corresponding type.

Template Parameters

  variant_ts | The types of the variant.

## Member Function Documentation

## operator()()

template<typename... variant_ts>
template<typename stream_t, typename arg_t>

void seqan3::std_variant_printer< std::variant< variant_ts... > >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Prints the variant by visiting the stream operator for the corresponding type.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The variant argument to print.

Note that in case the variant is valueless(_by_exception), nothing is printed.

The documentation for this struct was generated from the following file:

- variant.hpp

Hide me